Description

At repository, when viewing differences of a javascript file, the revision page is showed with no styling as the image below

"% Revision 70e35d21 - add functic. X =

« Previous | Next » |[f0e35d21d0f6 | OK

Revision 70e35d21

Added by admin 01 [08/17/2022 01:16 PM] 13 days ago

add function setCookie

Related issues

Changes

evamt.]s-

localhost:580/ht-202§07 14/ proffcts/.. fevent jsTform..

© added @ modified

<« C @ localhost:580/ht-20220714/projects/project-1/repository/rm-032-test-01/revisions/70...

4

@ copied

ventjs - Changes - project - X +

A O & <«

G ® localhost:580/ht-20220714/projects/project-1/repository/rm-032-test-01/changes/ev...

Repository (URL: http://localhost:580/git/rm-032-test-01.git )

¥ Download (705 Bytes) (fl; Statistics Branch: | master Revision:
rm-032-test-01 / event.js @ master 9
History
View differences
Add # Date Author Comment
70e35d21 @ 08/17/2022 01:16 PM admin 01 add function setCookie
30442eaf @® 08/17/2022 01:15 PM admin 01 create js

@ renamed © deleted differences

2w O a

Added by admin 01 13 days ago

* ID 70e35d21d0fbe4ce492cTa8401d4a73118112fca
+ Parent 30442caf
* Child 8ca294af

add function setCookie
Add
Related issues

* Changes
+ View differences

View differences: @ inline O side by side

event.js
S(#header’) append(S( _show_banner)):
$("#header”).append(S(" redmine_banner"))

}

localhgllt:580/ht-20220714/projects/project-1/repositoryfrm-032-test-01/diff /event s
Revision 30442eaf:70e35d21 event.js

View differences: ® inline O side by side

event.js
S(#header’).append($(.show_banner)):
$("#header") append(S(" redmine_banner"));
3
H
H
function setCookie(cookieName, value) {
var date = new Date():
date.setTime(date.getTime() + 365%3*24*60*60%1000);
var expires = "expires=" + date toGMTString()
var currentValue = getCookie(cookieName);
ificurrentValue =" ")

{

value = currentValue concat(","+ value)

H

document cookie = cookieName + "=" + value + ";" + expires = ";path="

2 % 0

be

By the log content, no errors occurred. But | think request format JS is a mistake.

About my application's environment
Redmine 5
Ruby version

RubyGems version 3.3.7
Rails version 6.1.6
Active Record version 6.1.6
Action Pack version 6.1.6
Action Mailer version 6.1.6

2025-05-01

ruby 3.1.2p20

(2022-04-12 revision 4491bb740a) [x86_64-1inux]
Active Support version 6.1.6

Application root /opt/redmine
Environment production
Database adapter mysqgl
Database schema version 5.5.41

Related issues:

Related to Redmine - Defect #32449: Diff view for .js files in repositories i... Closed
Related to Redmine - Defect #34984: Rails 6.1 Rendering actions with ."in t... Closed
Related to Redmine - Defect #37732: Fix "DEPRECATION WARNING: Rendering actio... Closed
Copied to Redmine - Defect #39747: Diff of a javascript file in repository mo... Closed

Associated revisions

Revision 21883 - 2022-10-02 10:53 - Marius BALTEANU

Fix show diff of a javascript file in repository module is displayed without layout (#37626).

Patch by Trang Tran Thi Quynh.

Revision 21884 - 2022-10-02 11:59 - Marius BALTEANU
Add to do to fix the deprecation warning (#37626).

Revision 21885 - 2022-10-02 13:49 - Marius BALTEANU
Merge r21883-r21884 from trunk to 5.0-stable (#37626).

Revision 21886 - 2022-10-02 14:47 - Marius BALTEANU
Fix rubocop warning (#37626).

Revision 21887 - 2022-10-02 14:48 - Marius BALTEANU
Merge r21886 to 5.0-stable (#37626).

Revision 22489 - 2023-11-29 08:11 - Marius BALTEANU
Revert r21883 which was an workaround for #37626 (#37732, #36320).

History

#1 - 2022-08-31 12:57 - Trang Tran Thi Quynh

This bug was reported at https://www.redmine.org/issues/32449 and fixed. But it occurred again after fixed for Rails 6.1 Rendering actions with ." in
the name is deprecated #34984.

/app/controllers/repositories_controller.rb
- render :diff, :formats => :html, :layout => 'base.html.erb'
+ render :diff, :formats => :html, :layout => 'base'

#2 - 2022-09-01 08:52 - Go MAEDA
- Category changed from Rails support to SCM

- Status changed from New to Confirmed

#3 - 2022-09-01 08:53 - Go MAEDA
- Related to Defect #32449: Diff view for .js files in repositories is broken added

#4 - 2022-09-01 08:55 - Go MAEDA
- Related to Defect #34984: Rails 6.1 Rendering actions with "." in the name is deprecated added

#5 - 2022-09-02 06:42 - Mizuki ISHIKAWA

Rewriting to base.html.erb as before should solve the problem.
When displaying a diff of the js file, it appears to look for base.js if | don't explicitly write it.

diff --git a/app/controllers/repositories_controller.rb b/app/controllers/repositories_controller.rb
index ££1230c883..56be9%d526a 100644

—--— a/app/controllers/repositories_controller.rb

+++ b/app/controllers/repositories_controller.rb

@@ -286,7 +286,7 Q@ class RepositoriesController < ApplicationController
https://www.redmine.org/issues/32449
https://www.redmine.org/issues/34984

@changeset =
@changeset_to

Qdiff_format_
= render :diff,
+ render :diff,

end

end

@repository.find_changeset_by_name (Grev)

= @rev_to ? @repository.find_changeset_by_name (E@rev_to) nil

revisions = Qrepository.diff_format_revisions (@changeset,
:formats => :html, :layout => 'base'
:formats => :html, :layout => 'base.html.erb'

#6 - 2022-09-05 15:52 - Go MAEDA

Mizuki ISHIKAWA wrote:

Rewriting to base.html.erb as before should solve the problem.

When displaying a diff

(-]

of the js file, it appears to look for base.js if | don't explicitly write it.

The patch fixes the issue but causes deprecation warnings.

DEPRECATION WARNING:
block in find_all at
DEPRECATION WARNING:
block in find_all at
DEPRECATION WARNING:
block in find_all at
DEPRECATION WARNING:
block in find_all at
DEPRECATION WARNING:
block in find_all at
DEPRECATION WARNING:
block in find_all at
DEPRECATION WARNING:
block in find_all at

Rendering actions with '.' in the name is deprecated: layouts/base.
/Users/maeda/redmines/redmine-trunk/config/initializers/10-patches.
Rendering actions with '.' in the name is deprecated: layouts/base.

/Users/maeda/redmines/redmine-trunk/config/initializers/10-patches

Rendering actions with '.' in the name is deprecated:

Rendering actions with '.' in the name is deprecated:

Rendering actions with '.' in the name is deprecated:

Rendering actions with '.' in the name is deprecated:

Rendering actions with '.' in the name is deprecated:

Rendering layout layouts/base.html.erb
Rendering repositories/diff.html.erb within layouts/base.html.erb

#7 - 2022-09-07 07:56 - Go MAEDA

- Target version set to Candidate for next minor release

Go MAEDA wrote:

The patch fixes the issue but causes deprecation warnings.

But | think we should prioritize fixing the problem when viewing JavaScript files than fixing deprecation warnings.

#8 - 2022-10-02 10:29 - Marius BALTEANU

- Target version changed from Candidate for next minor release to 5.0.3

#9 - 2022-10-02 12:03 - Marius BALTEANU

@changeset_to)

html.erb
rb:60)
html.erb

.rb:60)
layouts/base.
/Users/maeda/redmines/redmine-trunk/config/initializers/10-patches.
layouts/base.
/Users/maeda/redmines/redmine-trunk/config/initializers/10-patches.
layouts/base.
/Users/maeda/redmines/redmine-trunk/config/initializers/10-patches.
layouts/base.
/Users/maeda/redmines/redmine-trunk/config/initializers/10-patches.
layouts/base.
/Users/maeda/redmines/redmine-trunk/config/initializers/10-patches.

html.erb
rb:60)
html.erb
rb:60)
html.erb
rb:60)
html.erb
rb:60)
html.erb
rb:60)

(called

(called

(called

(called

(called

(called

(called

from

from

from

from

from

from

from

- Subject changed from At repository, viewing differences of a javascript file is lost style to Diff of a javascript file in repository module is not displayed

with layout

- Assignee set to Marius BALTEANU

#10 - 2022-10-02 14:00 - Marius BALTEANU

- Status changed from Confirmed to Resolved

- Resolution set to Fixed

| tried to add a functional test for this case, but without success, | think because the request made by minitest is different by the one made by the

browser.

In the meantime, I've merged the proposed fix to 5.0-stable and I've opened a new issue (#37732) to properly fix this issue.

#11 - 2022-10-02 14:36 - Marius BALTEANU

- Status changed from Resolved to Closed
https://www.redmine.org/issues/37732

#12 - 2022-11-17 03:20 - Go MAEDA
- Related to Defect #37732: Fix "DEPRECATION WARNING: Rendering actions with "." in the name is deprecated" in RepositoriesController added

#13 - 2023-11-29 08:14 - Marius BALTEANU
- Copied to Defect #39747: Diff of a javascript file in repository module is not displayed with layout added

Files
error-1.png 151 KB 2022-08-31 Trang Tran Thi Quynh
error-2.png 17.9 KB 2022-08-31 Trang Tran Thi Quynh
